name='asar'
version='3.2.2'
release='1'
desc='Asar is a simple extensive archive format, it works like tar that concatenates all files together without compression, while having random access support.'
homepage='https://github.com/electron/asar'
architectures=('amd64')
license=('MIT')
provides=('asar')
conflicts=('asar')

sources_amd64=("https://github.com/electron/asar/archive/refs/tags/v3.2.2.tar.gz")
checksums=('SKIP')

package() {
   	install -Dm755 "${srcdir}/${name}-${version}/bin/${name}.js" "${pkgdir}/usr/bin/asar"
    cd "${srcdir}/${name}-${version}/lib/"
    install -Dm0755 "${pkgdir}/usr/lib"
    find . -type d -exec install -d {,"${pkgdir}/usr/lib/"}{} \;
	find . -type f -exec install -D {,"${pkgdir}/usr/lib/"}{} \;
    install -Dm644 "${srcdir}/${name}-${version}/LICENSE.md" "${pkgdir}/usr/share/licenses/${name}/LICENSE.md"
}
